%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-pypdf
Version:       3.5.0
Release:       1mamba
Summary:       PDF toolkit
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/pypdf/
Source:        https://pypi.debian.net/pypdf/pypdf-%{version}.tar.gz
Patch:         python-pypdf-1.12-git20100718.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(typing-extensions)
## AUTOBUILDREQ-END
BuildArch:     noarch

%description
A Pure-Python library built as a PDF toolkit.

It is capable of:
* extracting document information (title, author, ...),
* splitting documents page by page,
* merging documents page by page,
* cropping pages,
* merging multiple pages into a single page,
* encrypting and decrypting PDF files.

%if 0%{?with_pyver}
%define py_requires_append \
Provides:      python-pyPdf \
Obsoletes:     python-pyPdf < 3.2.1 \
Provides:      python-pypdf \
Obsoletes:     python-pypdf < 3.2.1
%pyver_package
%endif

%prep
%setup -q -n pypdf-%{version}
#%patch -p1

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*

%changelog
* Tue Feb 28 2023 Automatic Build System <autodist@mambasoft.it> 3.5.0-1mamba
- automatic version update by autodist

* Mon Feb 13 2023 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Tue Feb 07 2023 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Mon Jan 23 2023 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Wed Jan 18 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.1-1mamba
- update to 3.2.1

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.13-2mamba
- python 2.7 mass rebuild

* Fri Dec 31 2010 Automatic Build System <autodist@mambasoft.it> 1.13-1mamba
- automatic update by autodist

* Thu Oct 14 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.12-4mamba
- updated the patch to git version 20100718 to fix all DeprecationWarnings

* Wed Oct 13 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.12-3mamba
- added a patch to fix a python DeprecationWarning

* Tue Oct 12 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.12-2mamba
- package renamed from python-pyPdf to python-pypdf
- added missing build requirements
- changed arch to noarch

* Fri May 15 2009 gil <puntogil@libero.it> 1.12-1mamba
- package created by autospec
